Skip to content
Product Docs

List Roles

GET/api/v1/organizations/{organization_id}/roles

List all roles in an organization.

Path ParametersExpand Collapse
organization_id: string
Cookie ParametersExpand Collapse
session: optional string
ReturnsExpand Collapse
id: string

Unique identifier

formatuuid
name: string

A name for the role.

maxLength3000
minLength1
permissions: array of object { id, access, description, 3 more }

The actual permissions of the role.

id: string

Unique identifier

formatuuid
access: boolean

Whether the permission is granted or not.

description: string

A description for the permission.

name: string

A name for the permission.

maxLength3000
minLength1
created_at: optional string

Creation datetime

formatdate-time
updated_at: optional string

Update datetime

formatdate-time
created_at: optional string

Creation datetime

formatdate-time
updated_at: optional string

Update datetime

formatdate-time

List Roles

curl https://api.cloud.llamaindex.ai/api/v1/organizations/$ORGANIZATION_ID/roles \
    -H "Authorization: Bearer $LLAMA_CLOUD_API_KEY"
[
  {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "name": "x",
    "permissions": [
      {
        "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
        "access": true,
        "description": "description",
        "name": "x",
        "created_at": "2019-12-27T18:11:19.117Z",
        "updated_at": "2019-12-27T18:11:19.117Z"
      }
    ],
    "created_at": "2019-12-27T18:11:19.117Z",
    "updated_at": "2019-12-27T18:11:19.117Z"
  }
]
Returns Examples
[
  {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "name": "x",
    "permissions": [
      {
        "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
        "access": true,
        "description": "description",
        "name": "x",
        "created_at": "2019-12-27T18:11:19.117Z",
        "updated_at": "2019-12-27T18:11:19.117Z"
      }
    ],
    "created_at": "2019-12-27T18:11:19.117Z",
    "updated_at": "2019-12-27T18:11:19.117Z"
  }
]